﻿/* Generated with Author-it 6.2.1.28268  3/27/2015 12:30:06 PM */
Page=new Array();Page[0]=new Array("During the installation and configuration process for Primavera Gateway, several options are available that impact security. Depending on your organization's needs, you might need to create a highly secure environment for all Primavera Gateway environments. Use the following guidelines to plan your security strategy for Primavera Gateway:","Review all security documentation for applications and hardware components that interact or integrate with Primavera Gateway. Oracle recommends you harden your environment. See Additional Sources for Security Guidance for links to information that can help you get started.","Read through the summary of considerations for Primavera Gateway included in this document. Areas covered include: safe deployment, authentication options, authorization, confidentiality, sensitive data, reliability, and cookies usage.","EmbeddedTopicstartThroughout this documentation, the Security Guidance icon @ helps you to quickly identify security-related content to consider during the installation and configuration process.EmbeddedTopicend Once you begin the installation and configuration of your Primavera Gateway environment, use the Security Guidance icon as a reminder to carefully consider all security options.","Security Guidance Overview","78908.htm");
Page[1]=new Array("To ensure overall safe deployment of Primavera Gateway, you should carefully plan security for all components, such as database servers and client computers that are required for and interact with Primavera Gateway. In addition to the documentation included with other applications and hardware components, follow the Primavera Gateway-specific guidance below.","Safe Deployment of Primavera Gateway","78907.htm");
Page[2]=new Array("As the Primavera Gateway Administrator, you should determine the minimum administrative privileges or permissions needed to install, configure, and operate Primavera Gateway. For example, to successfully install the required Java JDK for Primavera Gateway, you must be an administrator on the client machine during installation.","Administrative Privileges Needed for Installation and Operation","78897.htm");
Page[3]=new Array("Because Primavera Gateway is a web application, users do not have to be administrators on their machines to run them. Instead, you can successfully run these applications with security at the highest level to create a more secure environment.","Minimum Client Permissions Needed for Primavera Gateway","78904.htm");
Page[4]=new Array("You should physically secure all hardware hosting Primavera Gateway to maintain a safe implementation environment. Consider the following when planning your physical security strategy:","You should install, configure, manage, and maintain your environment according to guidance in all applicable installation and configuration documentation for Primavera Gateway.","You should install Primavera Gateway components in controlled access facilities to prevent unauthorized access. Only authorized administrators for the systems hosting Primavera Gateway should have physical access to those systems. Such administrators include the Operating System Administrators, Application Server Administrators, and Database Administrators.","You should use Administrator access to client machines only when you install and configure Primavera Gateway.","Physical Security Requirements for Primavera Gateway","78905.htm");
Page[5]=new Array("Primavera Gateway contains a number of security settings at the application level. To help you organize your planning, the following are options Oracle recommends enabling or using the following features:","HTTPS in the Gateway WebLogic domain and in the P6 Adapter. ","Single Sign On for authentication","Note: The HTTPS authentication setting requires that web server and application server settings support SSL.","Encryption in the Gateway and in the P6 Adapter.","LDAP for authentication.","Application Security Settings in Primavera Gateway","78898.htm");
Page[6]=new Array("While Primavera Gateway requires specific files for installation and configuration, you do not need some for daily operations. The following is not a comprehensive list, but you should protect these files or move them to a secure location after installation and configuration:","The log files created in the C:\\Program Files\\Oracle\\Inventory\\logs folder.","Any files in the &lt;installation folder&gt;\\cfgtoollogs\\oui folder.","Files to Protect after Implementation","78903.htm");
Page[7]=new Array("Authentication determines the identity of users before granting access to Primavera Gateway modules. Primavera Gateway offers the following authentication modes:","Native is the default mode for Primavera Gateway. In Native mode, the WebLogic database acts as the authority and the application handles the authentication of the user who is logging into that application.","SSO authentication to access multiple connected applications with single sign on credentials.","Lightweight Directory Access Protocol (LDAP) authenticates users through a directory. In LDAP mode, an LDAP directory server database confirms the user's identity when they attempt to login to Primavera Gateway.","LDAP will help you to create the most secure authentication environment available in Primavera Gateway.","Oracle Web Services Manager (OWSM) to support external REST service authentication in Primavera Gateway.","Authentication Options for Primavera Gateway","78899.htm");
Page[8]=new Array("Grant authorization carefully to all appropriate Primavera Gateway users.","To help you with security planning, consider the following authorization-related options:","The Developer role has access to the data dictionary, workflows, and configuration global settings.","The User role can schedule and run synchronizations and can see monitoring.","The Superuser Admin role can access everything and you should limit who has this role.","Authorization for Primavera Gateway","78900.htm");
Page[9]=new Array("Confidentiality ensures only authorized users see stored and transmitted information. In addition to the documentation included with other applications and hardware components, follow the Primavera Gateway-specific guidance below.","For data in transit, use SSL to protect network connections among modules.","If you use LDAP authentication, ensure you use LDAPS to connect to the directory server.","For inactive data or data at rest, refer to the documentation included with the database server for instructions on securing the database.","Confidentiality for Primavera Gateway","78901.htm");
Page[10]=new Array("Protect sensitive data in Primavera Gateway, such as user names, passwords, and e-mail addresses. Use the process below to help during your security planning:","Determine which flows display or transmit data that your organization considers sensitive. For example, Primavera Gateway sync sensitive data, such as syncing a project with budgeted costs in the ERP.","Implement security measures in Primavera Gateway to carefully grant users access to sensitive data.","Implement security measures for applications that interact with Primavera Gateway, as detailed in the documentation included with those applications. For example, follow the security guidance provided with Oracle WebLogic.","Sensitive Data for Primavera Gateway","78909.htm");
Page[11]=new Array("Protect against attacks that could deny a service by:","Installing the latest security patches.","Documenting the configuration settings used for servers and create a process for changing them.","Protecting access to configuration files with physical and file system security.","Reliability for Primavera Gateway","78906.htm");
Page[12]=new Array("View the details below for information on when cookies are created and stored when using Primavera Gateway. As stated in Reliability for Primavera Gateway, set a maximum age for the session cookie on the application server.","Cookie Name","Description","Scope","Retention","Encrypted?","ORA_PG_LANG","The translation selected by the user.","Primavera Gateway","One year","No","sw","Applies only for the Primavera Gateway Help system. The last search term used in the search tab located on the table of contents frame.","Current working directory only on the current host (for example, if located at http://host/help, only valid for the http://host/help directory).","None (expires at end of session)","No","sm","Applies only for the Primavera Gateway Help system. The type of search used in the search tab located on the table of contents frame. Value corresponds as: 0: All words, 1: Any words, 2: Exact phrase. Any other value is invalid.","Current working directory only on the current host (for example, if located at http://host/help, only valid for the http://host/help directory).","None (expires at end of session)","No","Cookies Usage in Primavera Gateway","78902.htm");
Page[13]=new Array("You should properly secure the databases, platforms, and servers you use for your Primavera Gateway. You might find the links below helpful when planning your security strategy (not a comprehensive list).","Note: The URLs below might have changed after Oracle published this guide.","Oracle Database","http://download.oracle.com/docs/cd/B19306_01/network.102/b14266/toc.htm ","Microsoft Windows 2008 Server","http://technet.microsoft.com/en-us/library/dd548350(WS.10).aspx","Microsoft Windows 2012 Server","http://www.microsoft.com/en-us/server-cloud/products/windows-server-2012-r2/default.aspx#fbid=2IhgBkWaTaN","Oracle WebLogic","http://www.oracle.com/technetwork/middleware/weblogic/overview/index.html","Additional Sources for Security Guidance","78896.htm");
Page[14]=new Array("Complete documentation libraries for Primavera Gateway releases are available on the Oracle Technology Network (OTN) at:","http://www.oracle.com/technetwork/documentation/default-1923957.html","From this location you can either view libraries online or download them to have local copies. We recommend viewing them from OTN to ensure you always access the latest versions, including critical corrections and enhancements. ","Primavera Gateway is configured to access its help system on OTN. However, you can also install  a local version when you install the software. ","The documentation assumes a standard setup of the product, with full access rights to all features and functions.","The following table describes the core documents available for Primavera Gateway and lists the recommended readers by role.","Title","Description","Gateway Help","Describes how to work with Primavera Gateway and provides information to help users accomplish tasks.","All users should read the Help.","Gateway Developer's Guide","Provides information on how third-party systems such as enterprise resource management (ERP) and enterprise asset management (EAM) systems can create their own providers in order to integrate with Primavera products.","Developers of third-party providers that integrate with Primavera products via Primavera Gateway should read this book.","Gateway Customization Guide","Provides information on how to customize an existing third-party integration.","Developers interested in customizing existing third-party providers that integrate with Primavera products via Primavera Gateway should read this book.","Gateway Provider Reference Guide","Provides a list of the business objects available for each supported provider.","Developers of third-party providers that integrate with Primavera products via Primavera Gateway should read this book.","EBS Provider Reference Guide","Provides a list of the business objects available for the EBS provider.","Developers of third-party providers that integrate with Primavera products via Primavera Gateway should read this book.","VCP Provider Reference Guide","Provides a list of the business objects available for the VCP provider.","Developers of third-party providers that integrate with Primavera products via Primavera Gateway should read this book.","Manual Deployment Guide","Provides information on how to manually install and configure Primavera Gateway. ","The Primavera Gateway network administrator/database administrator and the administrator for the third-party or ERP system should read this guide.","Gateway Installation and Configuration Guide","Provides information on how to install and configure Primavera Gateway. Primavera Gateway is a product that facilitates integrations with Primavera products and third-party systems such as enterprise resource management (ERP) and enterprise asset management (EAM) systems.","The Primavera Gateway network administrator/database administrator and the administrator for the third-party or ERP system should read this guide.","Gateway Upgrade Guide","Provides a sequence of procedures that must be completed to upgrade to a new version of Primavera Gateway.","The Primavera Gateway network administrator/database administrator and the administrator for the third-party or ERP system should read this guide.","Gateway Performance and Sizing Guide","Provides hardware and software requirements for deploying Primavera Gateway.","The Primavera Gateway network administrator/database administrator and the administrator for the third-party or ERP system should read this guide.","Gateway Security Guide","Provides guidelines on establishing a highly secure environment for all Primavera Gateway environments.","The Primavera Gateway network administrator/database administrator and the administrator for the third-party or ERP system should read this guide.","Gateway API Programmer's Guide","Provides instructions on how to access and use Primavera Gateway REST APIs.","The Primavera Gateway network administrator/database administrator and Primavera Gateway users having the Gateway Developer role should read this guide.","Connecting with Instantis EnterpriseTrack","Provides instructions on how to setup the integration environment for Oracle Instantis EnterpriseTrack in Primavera Gateway.","The Primavera Gateway network administrator/database administrator and the administrator for the third-party system should read this guide.","Connecting Prime and P6 EPPM","Provides instructions on how to setup the integration environment between Oracle Primavera Prime and P6 Enterprise Project Portfolio Management in Primavera Gateway.","The Primavera Gateway network administrator/database administrator and the administrator for the third-party system should read this guide.","Connecting Unifier and P6 EPPM","Provides instructions on how to setup the integration environment between Oracle Primavera Unifier and P6 Enterprise Project Portfolio Management in Primavera Gateway.","The Primavera Gateway network administrator/database administrator and the administrator for the third-party system should read this guide.","Migrating P6 Data Between Distinct Environments","Provides instructions on how to setup the integration environment between distinct P6 deployments to transfer P6 data in Primavera Gateway.","The Primavera Gateway network administrator/database administrator and the administrator should read this guide.","Connecting E-Business Suite","Provides instructions on how to setup the integration environments for Oracle E-Business Suite with P6 Enterprise Project Portfolio Management and Instantis EnterpriseTrack in Primavera Gateway.","The Primavera Gateway network administrator/database administrator and the administrator for the third-party system should read this guide.","Connecting Value Chain Planning and P6 EPPM","Provides instructions on how to setup the integration environment between Oracle Value Chain Planning and P6 Enterprise Project Portfolio Management in Primavera Gateway.","The Primavera Gateway network administrator/database administrator and the administrator for the third-party system should read this guide.","Configuring Gateway for Single Sign On","Provides instructions on how to configure Oracle Access Manager (OAM) and then enable Single Sign On for Primavera Gateway.","The Primavera Gateway network administrator/database administrator should read this guide.","Gateway Licensing Information User Manual","Lists licensing information of all third-party software that is used or associated with the Oracle software program.","Tested Configurations","Lists the configurations that have been tested and verified to work with Primavera Gateway.","The Primavera Gateway network administrator/database administrator and the administrator for the third-party or ERP system should read this guide.","Distributing Information to the Team","You can copy the online documentation to a network drive for access by project participants. Each team member can then view or print those portions that specifically relate to his or her role in the organization.","Throughout this documentation, the Security Guidance icon @ helps you to quickly identify security-related content to consider during the installation and configuration process.","Where to Get Documentation","66101.htm");
Page[15]=new Array("To access comprehensive training for all Primavera products, go to:","http://education.oracle.com","Oracle Learning Library","The Oracle Learning Library (OLL) provides online learning content covering Primavera products. Content includes videos, tutorials, articles, demos, step-by-step instructions to accomplish specific tasks, and self-paced interactive learning modules.<br /><br />To access the learning library&#8217;s Primavera content, go to:","http://www.oracle.com/goto/oll","Where to Get Training","49806.htm");
Page[16]=new Array("If you have a question about using Oracle products that you or your network administrator cannot resolve with information in the documentation or help, click http://support.oracle.com/. This page provides the latest information on contacting Oracle Global Customer Support, knowledge articles, and the support renewals process. For more information about working with Support, visit https://support.oracle.com/epmos/faces/DocumentDisplay?id=888813.2 to view Support Tools &amp; Tips.","Access to Oracle Support","Oracle customers have access to electronic support through My Oracle Support. For information, visit http://www.oracle.com/us/support/contact-068555.html or visit http://www.oracle.com/us/corporate/accessibility/support/index.html if you are hearing impaired.","Using Primavera's Support Resource Centers","Primavera&#8217;s Support Resource Center provides links to important support and product information.&nbsp;Primavera's Product Information Centers (PICs) organize documents found on My Oracle Support (MOS), providing quick access to product and version specific information such as important knowledge documents, Release Value Propositions, and Oracle University training. PICs also offer documentation on Lifetime Management, from planning to installs, upgrades, and maintenance.","Visit https://support.oracle.com/epmos/faces/DocumentDisplay?id=1486951.1 to access links to all of the current PICs.","PICs also provide access to:","Communities are moderated by Oracle providing a place for collaboration among industry peers to share best practices.","News from our development and strategy groups.","Education contains a list of available Primavera product trainings through Oracle University.&nbsp;The Oracle Advisor Webcast program brings interactive expertise straight to the desktop using Oracle Web Conferencing technology. This capability brings you and Oracle experts together to access information about support services, products, technologies, best practices, and more.","For more information about working with Support, visit https://support.oracle.com/epmos/faces/DocumentDisplay?id=888813.2.","Where to Get Support","6718.htm");
Page[17]=new Array("For information about Oracle's commitment to accessibility, visit the Oracle Accessibility Program website at http://www.oracle.com/pls/topic/lookup?ctx=acc&amp;id=docacc.","Documentation Accessibility","49261.htm");
Page[18]=new Array("EmbeddedTopicstartCopyright © 2013, 2015, Oracle and/or its affiliates. All rights reserved.<br />Oracle and Java are registered trademarks of Oracle and/or its affiliates. Other names may be trademarks of their respective owners.EmbeddedTopicend","This software and related documentation are provided under a license agreement containing restrictions on use and disclosure and are protected by intellectual property laws. Except as expressly permitted in your license agreement or allowed by law, you may not use, copy, reproduce, translate, broadcast, modify, license, transmit, distribute, exhibit, perform, publish or display any part, in any form, or by any means. Reverse engineering, disassembly, or decompilation of this software, unless required by law for interoperability, is prohibited.","The information contained herein is subject to change without notice and is not warranted to be error-free. If you find any errors, please report them to us in writing.","If this is software or related documentation that is delivered to the U.S. Government or anyone licensing it on behalf of the U.S. Government, the following notice is applicable: ","U.S. GOVERNMENT END USERS: Oracle programs, including any operating system, integrated software, any programs installed on the hardware, and/or documentation, delivered to U.S. Government end users are &#8220;commercial computer software&quot; pursuant to the applicable Federal Acquisition Regulation and agency-specific supplemental regulations. As such, use, duplication, disclosure, modification, and adaptation of the programs, including any operating system, integrated software, any programs installed on the hardware, and/or documentation, shall be subject to license terms and license restrictions applicable to the programs. No other rights are granted to the U.S. Government.","This software or hardware is developed for general use in a variety of information management applications. It is not developed or intended for use in any inherently dangerous applications, including applications that may create a risk of personal injury. If you use this software or hardware in dangerous applications, then you shall be responsible to take all appropriate failsafe, backup, redundancy, and other measures to ensure its safe use. Oracle Corporation and its affiliates disclaim any liability for any damages caused by use of this software or hardware in dangerous applications.","This software or hardware and documentation may provide access to or information on content, products and services from third-parties. Oracle Corporation and its affiliates are not responsible for and expressly disclaim all warranties of any kind with respect to third-party content, products, and services. Oracle Corporation and its affiliates will not be responsible for any loss, costs, or damages incurred due to your access to or use of third-party content, products, or services.","Legal Notices","46576.htm");
var PageCount=19;

function search(SearchWord){
var Result="";
var NrRes=0;
Result='<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">\n';
Result+="<html>\n";
Result+="<head>\n";
Result+="<title>Search Results</title>\n";
Result+="<meta http-equiv='Content-Type' content='text/html; charset=UTF-8'>\n";
Result+='<script language="javascript" type="text/javascript" charset="UTF-8" src="dhtml_search.js"></script>\n';
// Result+='<script type="text/javascript" src="styleswitcher.js"></script>\n';
Result+='<!--default -->\n';
Result+='<link rel="stylesheet" type="text/css" href="stylesheet.css"  title="default"/>\n';
Result+='<!--alternate -->\n';
Result+='<link rel="alternate stylesheet" disabled="true" type="text/css" href="stylesheetcontrast.css"  title="contrast"/>\n';
Result+='<!--default -->\n';
Result+='<link rel="stylesheet" href="docsstylesheet.css"  type="text/css" title="default"/> \n';
Result+='<!--alternate -->\n';
Result+='<link rel="alternate stylesheet" disabled="true" type="text/css" href="docsstylesheetcontrast.css" title="contrast"/>\n';
Result+="</head>\n";
Result+="<body class='searchcontents' onload='javascript:document.SearchForm.SearchText.focus();if(typeof ondoc() === 'function') {ondoc();}'>\n"; 
Result+='<table class="searchDetails" border="0" cellspacing="0" cellpadding="2" width="100%">\n';
Result+='<tr><td>Enter a keyword or phrase</td></tr>';
Result+='<tr><td>';
Result+='<form name="SearchForm" action="javascript:search(document.SearchForm.SearchText.value)">';
if(SearchWord.length>=1){
   while(SearchWord.indexOf("<")>-1 || SearchWord.indexOf(">")>-1 || SearchWord.indexOf('"')>-1){
       SearchWord=SearchWord.replace("<","&lt;").replace(">","&gt;").replace('"',"&quot;");
   }
}
Result+='<input type="text" name="SearchText" size="25" value="' + SearchWord + '" />';
Result+='&nbsp;<input type="submit" value="&nbsp;Go&nbsp;"/></form>';
Result+='</td></tr></table>\n';

if(SearchWord.length>=1){
   SearchWord=SearchWord.toLowerCase();
   this.status="Searching, please wait...";
   Result+="<table border='0' cellpadding='5' class='searchResults' width='100%'>";
   for(j=0;j<PageCount;j++){
       k=Page[j].length-1;
       for(i=0;i<k;i++){
           WordPos=Page[j][i].toLowerCase().indexOf(SearchWord);
           if(WordPos>-1){
               FoundWord=Page[j][i].substr(WordPos,SearchWord.length);
               NrRes++;
               Result+="<tr><td>";
               Result+="<a target='BODY' href='"+Page[j][k]+"'>"+Page[j][k-1].replace(FoundWord,FoundWord.bold())+"</a><br/>\n";

               if(i<k-1){
                   if(Page[j][i].length>350){
                       Result+="..."+Page[j][i].substr(WordPos-100,200+FoundWord.length).replace(FoundWord,FoundWord.bold())+"...\n";
                   }
                   else{
                       Result+=Page[j][i].replace(FoundWord,FoundWord.bold())+"\n";
                   }
               }
               Result+="</td></tr>";
               break;
           }
       }
   }
   Result+="</table>";
   Result+="<p class='searchDetails'>&nbsp;" + NrRes + " result(s) found.</p>";
}

Result+="</body></html>";
this.status="";
this.document.open();
this.document.write(Result);
this.document.close();
}