function applyCustomiser($, _)   {
    $('.parameter').attr('disabled','disabled');
    $('textarea').attr('disabled','disabled');
    $('input.submit').remove();
    $('#api_selector').remove();
    $('#header').replaceWith('<header id="pgbu-nav-header"></header>');

    var detailTables = $('.fullwidth');
    _.each(detailTables, function(detailTable)    {
        if($(detailTable).prev('h4').html() === 'Error Status Codes') {
            $(detailTable).prev('h4').remove();
            $(detailTable).remove();
        }
    });

    $('#pgbu-nav-header').load('swagger_scripts/templates/swaggerCustomHeader.htm');

    var $apiHeadings = $('ul#resources li.resource div.heading h2 a');
    replaceStrings($apiHeadings, constants.apiStringMap);
    
    sortApisAlphabetically('ul#resources li.resource', 'div.heading h2 a');

    var $restUrls = $('h3 .path .toggleOperation');
    removeText($restUrls, '.json');
	changeBaseUrl();
}

var constants = {
    apiStringMap :  {
        'codeType' : 'Code Type',
        'projectFlex' : 'Configured Fields',
        'workPackage' : 'Work Package',
        'project' : 'Project',
        'cbs' : 'CBS',
        'workspace' : 'Workspace',
        'pbs' : 'PBS',
        'segment' : 'Segment',
        'scopeItemAssignment' : 'Scope Item Assignment',
        'codeValue' : 'Code Value',
        'wbs' : 'WBS',
        'scopeItem' : 'Scope Item',
        'location' : 'Location',
        'activity' : 'Activity',
        'relationship' : 'Relationship',
        'assignment' : 'Assignment',
        'activityRisk' : 'Activity Risk',
        'calendar' : 'Calendar',
        'risk' : 'Risk',
        'riskImpact' : 'Risk Impact',
        'riskResponsePlan' : 'Risk Response Plan',
        'riskMatrix' : 'Risk Matrix',
        'riskScoreType' : 'Risk Threshold',
        'currency' : 'Currency',
        'exchangeRate' : 'Exchange Rate'
    }
};

function replaceStrings($markupArray, stringMap)   {
    _.each($markupArray, function(markup)    {
        var $markup = $(markup);
        if(stringMap[$markup.html()])    {
            $markup.html(stringMap[$markup.html()]);
        }
    });
}

function removeText($markupArray, text) {
    _.each($markupArray, function(markup){
        var $markup = $(markup);
        var splits = $markup.html().split(text);
        if(splits[0] && splits[1]) {
            $markup.html((splits[0].concat(splits[1])).toString());
        }   else if(splits[0] && !splits[1])   {
            $markup.html(splits[0].toString());
        }
    });
}

function sortApisAlphabetically(list, key) {
    $($(list).get().reverse()).each(function(outer) {
        var sorting = this;
        $($(list).get().reverse()).each(function(inner) {
            if($(key, this).text().localeCompare($(key, sorting).text()) > 0) {
                this.parentNode.insertBefore(sorting.parentNode.removeChild(sorting), this);
            }
        });
    });
}

function changeBaseUrl()	{
	var footer = $('.footer h4').html();
	var base_url_temp = footer.split('primavera/')[1];
	var after_base_url = base_url_temp.split(',')[1];
	$('.footer h4').html(footer.split('primavera/')[0].concat('primavera/').concat('restapi').concat(',').concat(after_base_url));
}
