define(['jquery', 'lodash', 'js/demoloader', 'templates/index'], function ($, _, loadDemos, sections) {
    'use strict';

    function showError ($container) {
        $container.empty().append('<div>The code sample you requested is not valid.</div>');
    }

    $(function () {
        var queryParams = _(location.search.slice(1).split('&'))
            .reduce(function (m, val) {
                var pair = val.split('=');
                var key = pair[0] || null;
                var value = pair[1] || '';

                if (key) {
                    m[key] = value;
                }

                return m;
            }, {});

        var section = queryParams.section,
            topic = queryParams.topic,
            dataDemo = queryParams['data-demo'],
            dataDemoPath = queryParams['data-demo-path'],
            validDemo = false,
            $demo = $('<div></div>');

        if (section != null && topic != null) {
            if (dataDemoPath) {
                $demo.attr('data-demo-path', dataDemoPath);
                validDemo = true;
            } else if (dataDemo) {
                $demo.attr('data-demo', dataDemo);
                validDemo = true;
            }
        }

        if (validDemo) {
            $('.container').empty().append($demo);
            $.when(loadDemos(section, topic, true))
                .done(function () {
                    document.title = document.title + ': ' + sections[section].title + ' - ' + sections[section].topics[topic].title
                })
                .fail(function () {
                    showError($('.container'));
                });
        } else {
            showError($('.container'));
        }
    });
});
