﻿/* Generated with Author-it 6.2.1.28268  3/26/2015 8:38:14 AM */
Page=new Array();Page[0]=new Array("Primavera Gateway is an application that facilitates sharing and synchronizing project and resource information data between Primavera applications and other enterprise applications. By creating providers, which are used as a channel to connect with the corresponding software application, Primavera Gateway enables you to combine management and scheduling functionality of Primavera applications with other enterprise software. Providers can reside on either side of a data flow connecting a source application with a destination application. ","This document provides guidance for planning product deployment with:","Estimates of hardware and software requirements for Primavera Gateway and P6 Adapter","Recommendations for two deployments - standard and large","Overview of the Gateway Performance and Sizing Guide","80446.htm");
Page[1]=new Array("EmbeddedTopicstartYou must install the Oracle database server before you can install the Primavera Gateway database. Your Oracle account representative is always your best source for licensing details. For supported versions of the database, see the Tested Configurations document.","Notes: ","You must install Oracle Multimedia, along with these supporting components: Oracle JVM, Oracle XML DB (XDB), and XML Developer's Kit (XDK). Unless you specify otherwise, all these components automatically get installed with the latest versions of the supported Oracle database. If you chose not to install these components, you will need to install them before you install Primavera Gateway. See the Oracle Multimedia's User's Guide on the Oracle Technology Network (OTN) for information on how to install these components.","Oracle Text is a required component of Oracle Database.","You must use UTF8 encoding to support Primavera Gateway's localized user interface.EmbeddedTopicend","Oracle Database","10290396.htm");
Page[2]=new Array("EmbeddedTopicstartYou will need to install WebLogic to deploy Primavera Gateway. For supported versions, see the Tested Configurations document. Also, consult WebLogic&#8217;s documentation for installation instructions.","Note: On Windows, Oracle recommends you install the application server to a folder with a short name.EmbeddedTopicend","WebLogic","10290397.htm");
Page[3]=new Array("EmbeddedTopicstartGateway supports integration with the following Primavera applications:","P6 Enterprise Project Portfolio Management (P6 EPPM)","Note: When you run Primavera Gateway, and connect to a P6 EPPM database, information about your P6 EPPM installation is needed when you install the P6 Adapter.","Oracle Primavera Prime","Primavera Unifier","Oracle Instantis EnterpriseTrack","To connect with any of the above applications using Gateway, you will need to install the relevant product and database. For detailed installation instructions, go to http://www.oracle.com/technetwork/apps-tech/primavera/documentation/index.html.EmbeddedTopicend","Primavera Application Database","10290398.htm");
Page[4]=new Array("EmbeddedTopicstartIf you want to integrate with P6 EPPM, Primavera Gateway requires you to install the P6 Adapter. See the Installing and Configuring the P6 Adapter document in the P6 EPPM documentation library for more information about deploying and configuring the P6 Adapter.EmbeddedTopicend","P6 Adapter","10290399.htm");
Page[5]=new Array("The following assumptions are made in this document:","A highly available environment is desired.","Database specific best practices for high availability, backup, and recovery are being followed.","Note: The hardware and software requirements for the third-party ERP Web Services/API implementation are out of the scope of this document.","Assumptions","80464.htm");
Page[6]=new Array("Primavera Gateway is a three-tier system that includes web, business, and database tiers. Each of these tiers provide specific functions to synchronize data between a source application and a destination application. The system architecture diagram below describes how these three tiers work together to synchronize data between applications.","The following table provides additional information about how the three tiers work together to synchronize data.","Tier","Description","1. Web Tier","This tier provides a browser-based user interface. You use this interface to create, view, schedule, and monitor business flows to synchronize data between a source application and a destination application.","2. Business Tier","This tier provides the provider logic that orchestrates the business flow steps and includes the Gateway Framework and the following providers:","P6","Prime ","EnterpriseTrack","Unifier","Sample","The Gateway framework is a web application that is deployed on a WebLogic application server and provides the following functions:","Provides orchestration of the business flow steps within Primavera Gateway.","Provides job scheduling services.","3. Database Tier","This tier stores the Primavera Gateway schema and data, which includes the following items:","Cross references (Xref), data value mappings (DVM), flows, metadata (data dictionary), and customizations","Audit information, logs, and intermediate artifacts","Configuration settings","Schedules","Primavera Gateway System Architecture","79184.htm");
Page[7]=new Array("Primavera Gateway resides on a WebLogic application server, and the Primavera Gateway data repository resides on the database server.","A typical Primavera Gateway deployment consists of the following components:","A WebLogic application server","End-users, including administrators, interact with Primavera Gateway through the application server.","RDBMS as a data repository for Primavera Gateway","Depending on the dataset size, the database server can be a standalone server. ","P6 Adapter also resides on the application server and uses the P6 EPPM database as a data repository. ","For optimized performance, Oracle Primavera recommends the following components co-located:","The Primavera Gateway application server","Primavera Gateway RDBMS","The P6 Adapter application server and the ","Primavera application RDBMS ","For example, within the same subnet, to avoid network latency.","Typical Primavera Gateway Deployment","10290394.htm");
Page[8]=new Array("There are multiple ways to achieve the desired performance level in Primavera Gateway. Organizations can decide this based on the following factors:","The desired level of performance","Availability requirements","Short-term or long-term outlook of system usage","Performance Considerations","80448.htm");
Page[9]=new Array("Primavera Gateway objects (such as Flows, Synchronizations, etc.) are stored in the Java Virtual Machine (JVM) heap allocation of the Primavera Gateway application server, and the P6 EPPM objects (such as Projects, Activities, Assignments, etc.) are stored in the Java Virtual Machine (JVM) heap allocation of the P6 Adapter application server.","Most of these objects are short-lived and are periodically cleaned up by the JVM&#8217;s garbage collection mechanism. However, as the number of objects increases, performance and scalability is affected by the available heap space in the JVM. Increasing the heap size is an easy way to achieve desired performance and scalability.","JVM Heap Sizes","80449.htm");
Page[10]=new Array("Desired performance and scalability can also be achieved by:","upgrading the CPU ","adding extra cores ","adding physical memory ","upgrading to faster I/O devices and ","upgrading from 32-bit to 64-bit hardware. Oracle Primavera recommends 64-bit hardware.","Hardware Upgrade","80450.htm");
Page[11]=new Array("The desired performance level can also be achieved by: ","upgrading to latest versions of the operating system ","installing the latest patch updates and ","upgrading from a 32-bit version to a 64-bit version. Oracle Primavera recommends the 64-bit version.","Operating System Upgrade","80451.htm");
Page[12]=new Array("Database server scaling options are available and have been widely adopted and implemented. ","Database clustering enables multiple nodes in a clustered system to mount and open a single database that resides on shared disk storage. This configuration provides high availability in the database environment. Oracle Real Application Clusters (RAC) is an example of database clustering.","Database Scaling and Clustering","80452.htm");
Page[13]=new Array("The Oracle Primavera Gateway is a web-based application where users request to run synchronization using various browsers.","In a typical implementation, you will deploy the Primavera Gateway and P6 Adapter on separate physical servers. So, you must maximize the bandwidth and minimize latency between servers. Ideally, the servers reside in the same data center with gigabit or more Ethernet connection between the servers. (Oracle Primavera performance tests are performed with servers in a central data center with gigabit connections.)","Network Bandwidth Considerations","80453.htm");
Page[14]=new Array("Oracle Primavera Gateway performance depends on the load and the response characteristics of each tier. Factors affecting performance are identified in the following sections. These factors should be considered during deployment planning.","Deployment Considerations","80454.htm");
Page[15]=new Array("The number of concurrent running synchronizations and the number of synchronized P6 objects largely affects web client performance, and the CPU and memory requirements of the application server.","Oracle Primavera Gateway Applications Server","80455.htm");
Page[16]=new Array("The following factors can affect the performance of P6 Adapter:","Size of SOAP request and response messages","All requests should make use of meaningful P6 objects and object attributes to reduce the amount of returned data. ","Usage of P6 services (such as Summarizer, Scheduler)","Oracle Primavera P6 Adapter Applications Server","80456.htm");
Page[17]=new Array("Primavera Gateway deployments can be classified into two categories: Standard and Large. Some of the factors considered for defining these categories are outlined in the following table. These factors influence the hardware and software specifications during Primavera Gateway deployment.","For optimal system performance, Oracle Primavera highly recommends deploying Primavera Gateway and P6 Adapter on a 64-bit architecture. A 64&#8211;bit architecture includes a 64-bit hardware, 64-bit operation system, 64-bit application servers and databases deployments, using 64-bit Java JDK.","Deployment Categories","Standard","Large","Number of Objects in Synchronization","Resources","1,000 or less","more than 1,000","Projects","200 or less","more than 200","Activities","1,000 or less","more than 1,000","The following sections provide a few examples of synchronization times for importing and exporting in standard and large deployments.","Deployment Categories","80457.htm");
Page[18]=new Array("It usually takes up to a few minutes to run synchronization on standard deployments. The following table shows approximate expected timing of importing and exporting synchronizations in the recommended standard environment.","Objects in Synchronization","Units","Scenario 1: Importing Resources in Standard Deployments","Number of RESOURCEs","500","RESOURCE CODEs for each RESOURCE","5","Number of UDFs for each RESOURCE","5","Number of fields for each RESOURCE","25","RESOURCE ASSIGNMENT for each RESOURCE","1","Total number of fields","12,500","Synchronization Time","under 2 minutes","Scenario 2: Importing a Single Project in Standard Deployments","Number of ACTIVITY (ies)","500","UDFs for each ACTIVITY","10","Number of ACTIVITY CODES for each ACTIVITY","5","RESOURCE ASSIGNMENT","1","Fields for each ACTIVITY","30","Total number of fields","15,000","Synchronization Time","under 3 minutes","Scenario 3: Exporting Projects in Standard Deployments","Number of PROJECTs with minimum fields","50","Fields in each PROJECT ","7","Total number of fields","350","Synchronization Time","under 2 minutes","Synchronization Scenarios in Standard Deployments","80627.htm");
Page[19]=new Array("Synchronization of large number of objects on large deployments may take more significant amount of time The following table shows approximate expected timing of importing and exporting synchronizations in the recommended large environment.","Objects in Synchronization","Units","Scenario 1: Importing Resources in Large Deployments","Number of RESOURCEs","10,000","RESOURCE CODEs for each RESOURCE","5","Number of UDFs for each RESOURCE","5","RESOURCE ASSIGNMENT for each RESOURCE","1","Number of fields for each RESOURCE","25","Total number of fields","250,000","Synchronization Time","under 30 minutes","Scenario 2: Importing a Single Project in Large Deployments","Number of ACTIVITY (ies)","5000","UDF CODEs for each ACTIVITY","10","ACTIVITY CODEs for each ACTIVITY","5","RESOURCE ASSIGNMENT","1","Fields for each ACTIVITY","30","Total number of fields","150,000","Synchronization Time","under 30 minutes","Scenario 3: Exporting Projects in Large Deployments","Number of PROJECTs with minimum fields","500","Fields in each PROJECT ","7","Total number of fields","3,500","Synchronization Time","under 15 minutes","Note: The real synchronization time may vary and time depends on many performance factors. Refer to the Deployment Considerations of this document.","Synchronization Scenarios in Large Deployments","80628.htm");
Page[20]=new Array("The following sections provide estimates of server configurations for small and large deployments of Primavera Gateway.","Deployment Architectures","80458.htm");
Page[21]=new Array("Operating Systems","Windows server 64-bit or Oracle Enterprise Linux (OEL) 64-bit, or Solaris 64-bit","CPU","Intel Xeon 5000 series (Quad Core 3.46 GHz) or equivalent","RAM","4 GB","Java Heap Size","1 GB","Storage","10 GB","Primavera Gateway Application Server Configuration- Small Deployment","80470.htm");
Page[22]=new Array("Operating System","Windows server 64-bit, Oracle Enterprise Linux (OEL) 64-bit, or Solaris 64-bit","CPU","Intel Xeon 5000 series (Quad Core 3.46 GHz) or equivalent","RAM","4 GB","Storage","50 GB","Primavera Gateway Database Server Configuration- Small Deployment","80471.htm");
Page[23]=new Array("Operating System","Windows server 64-bit, Oracle Enterprise Linux (OEL) 64-bit, or Solaris 64-bit","CPU","Intel Xeon 5000 series (Quad Core 3.46 GHz) or equivalent","RAM","4 GB","Java Heap Size","1 GB","Storage","10 GB","P6 Adapter Application Server Configuration-Small Deployment","80472.htm");
Page[24]=new Array("Operating System","Windows server 64-bit, Oracle Enterprise Linux (OEL) 64-bit, or Solaris 64-bit","CPU","Intel Xeon 5000 series (Quad Core 3.46 GHz) or equivalent","RAM","8 GB","Java Heap Size","4 GB","Storage","10 GB","Primavera Gateway Application Server Configuration-Large Deployment","80473.htm");
Page[25]=new Array("Operating System","Windows server 64-bit, Oracle Enterprise Linux (OEL) 64-bit or Solaris 64-bit","CPU","Intel Xeon 5000 series (Quad Core 3.46 GHz) or equivalent","RAM","4 GB","Storage","50 GB","Primavera Gateway Database Server Configuration-Large Deployment","80474.htm");
Page[26]=new Array("Operating System","Windows server 64-bit, Oracle Enterprise Linux (OEL) 64-bit, or Solaris 64-bit","CPU","2 Intel Xeon 5000 series (Quad Core 3.46 GHz) or equivalent","RAM","8 GB","Java Heap Size","4 GB","Storage","10 GB","P6 Adapter Application Server Configuration-Large Deployment","80475.htm");
Page[27]=new Array("This document covers performance for the overall Primavera Gateway configuration architecture. However, factors involved in the database setup play a very important role in performance. The following factors can impact database performance: ","Hardware architecture and operating system","NIC (number of NICs, speed and duplex settings)","Number of database instances on a server (dedicated versus shared)","Disk storage system performance (I/O speed, buffer, mirroring)","Table space layout and extent sizing","Table data, index, and LOB distributions on table spaces","Table and index fill factor definition","Database block sizing","Connection management (dedicated versus MTS)","RAM allocations (automatic, SGA, PGA, shared pool, buffer pool)","CBO optimizer parameter configuration setting","Database table and index statistics gathering mechanism and frequency","Anti-virus software","Additional database jobs","Other Factors","80461.htm");
Page[28]=new Array("Following a systematic approach to evaluating, planning, and testing the architecture for your Primavera Gateway deployment is the only way to assure a successful deployment. With careful examination of the performance objectives, system availability requirements, short-term versus long-term outlook of system usage, the appropriate hardware choices can be made early in the process.","Conclusion","80462.htm");
Page[29]=new Array("Q. How much hardware does a Primavera Gateway installation require?","Tables that describe the recommended hardware for each deployment size are described in the &quot;Deployment Architectures&quot; section of this document. ","Q. How much disk space does Primavera Gateway require? ","The Primavera Gateway application requires little space. However, you do need enough space to run the application server software (such as WebLogic) and to keep historic log files. You must also ensure that you have the appropriate amount of disk space available on you database server. Disk space recommendations can be found in the &quot;Deployment Architectures&quot; section of this document. ","Q. Does using of P6 Services affect performance? ","Yes, using P6 Services in the synchronizations does affect overall performance for the Primavera Gateway application.","Q. Should Primavera Gateway be installed on the same server as P6 Adapter? ","For large deployments Oracle Primavera recommends installing Primavera Gateway on a dedicated server.","Q. Should the Primavera Gateway database be installed in a shared database environment?","For large deployments Oracle Primavera recommends a dedicated Primavera Gateway database server.","Frequently Asked Questions","80463.htm");
Page[30]=new Array("Complete documentation libraries for Primavera Gateway releases are available on the Oracle Technology Network (OTN) at:","http://www.oracle.com/technetwork/documentation/default-1923957.html","From this location you can either view libraries online or download them to have local copies. We recommend viewing them from OTN to ensure you always access the latest versions, including critical corrections and enhancements. ","Primavera Gateway is configured to access its help system on OTN. However, you can also install  a local version when you install the software. ","The documentation assumes a standard setup of the product, with full access rights to all features and functions.","The following table describes the core documents available for Primavera Gateway and lists the recommended readers by role.","Title","Description","Gateway Help","Describes how to work with Primavera Gateway and provides information to help users accomplish tasks.","All users should read the Help.","Gateway Developer's Guide","Provides information on how third-party systems such as enterprise resource management (ERP) and enterprise asset management (EAM) systems can create their own providers in order to integrate with Primavera products.","Developers of third-party providers that integrate with Primavera products via Primavera Gateway should read this book.","Gateway Customization Guide","Provides information on how to customize an existing third-party integration.","Developers interested in customizing existing third-party providers that integrate with Primavera products via Primavera Gateway should read this book.","Gateway Provider Reference Guide","Provides a list of the business objects available for each supported provider.","Developers of third-party providers that integrate with Primavera products via Primavera Gateway should read this book.","EBS Provider Reference Guide","Provides a list of the business objects available for the EBS provider.","Developers of third-party providers that integrate with Primavera products via Primavera Gateway should read this book.","VCP Provider Reference Guide","Provides a list of the business objects available for the VCP provider.","Developers of third-party providers that integrate with Primavera products via Primavera Gateway should read this book.","Manual Deployment Guide","Provides information on how to manually install and configure Primavera Gateway. ","The Primavera Gateway network administrator/database administrator and the administrator for the third-party or ERP system should read this guide.","Gateway Installation and Configuration Guide","Provides information on how to install and configure Primavera Gateway. Primavera Gateway is a product that facilitates integrations with Primavera products and third-party systems such as enterprise resource management (ERP) and enterprise asset management (EAM) systems.","The Primavera Gateway network administrator/database administrator and the administrator for the third-party or ERP system should read this guide.","Gateway Upgrade Guide","Provides a sequence of procedures that must be completed to upgrade to a new version of Primavera Gateway.","The Primavera Gateway network administrator/database administrator and the administrator for the third-party or ERP system should read this guide.","Gateway Performance and Sizing Guide","Provides hardware and software requirements for deploying Primavera Gateway.","The Primavera Gateway network administrator/database administrator and the administrator for the third-party or ERP system should read this guide.","Gateway Security Guide","Provides guidelines on establishing a highly secure environment for all Primavera Gateway environments.","The Primavera Gateway network administrator/database administrator and the administrator for the third-party or ERP system should read this guide.","Gateway API Programmer's Guide","Provides instructions on how to access and use Primavera Gateway REST APIs.","The Primavera Gateway network administrator/database administrator and Primavera Gateway users having the Gateway Developer role should read this guide.","Connecting with Instantis EnterpriseTrack","Provides instructions on how to setup the integration environment for Oracle Instantis EnterpriseTrack in Primavera Gateway.","The Primavera Gateway network administrator/database administrator and the administrator for the third-party system should read this guide.","Connecting Prime and P6 EPPM","Provides instructions on how to setup the integration environment between Oracle Primavera Prime and P6 Enterprise Project Portfolio Management in Primavera Gateway.","The Primavera Gateway network administrator/database administrator and the administrator for the third-party system should read this guide.","Connecting Unifier and P6 EPPM","Provides instructions on how to setup the integration environment between Oracle Primavera Unifier and P6 Enterprise Project Portfolio Management in Primavera Gateway.","The Primavera Gateway network administrator/database administrator and the administrator for the third-party system should read this guide.","Migrating P6 Data Between Distinct Environments","Provides instructions on how to setup the integration environment between distinct P6 deployments to transfer P6 data in Primavera Gateway.","The Primavera Gateway network administrator/database administrator and the administrator should read this guide.","Connecting E-Business Suite","Provides instructions on how to setup the integration environments for Oracle E-Business Suite with P6 Enterprise Project Portfolio Management and Instantis EnterpriseTrack in Primavera Gateway.","The Primavera Gateway network administrator/database administrator and the administrator for the third-party system should read this guide.","Connecting Value Chain Planning and P6 EPPM","Provides instructions on how to setup the integration environment between Oracle Value Chain Planning and P6 Enterprise Project Portfolio Management in Primavera Gateway.","The Primavera Gateway network administrator/database administrator and the administrator for the third-party system should read this guide.","Configuring Gateway for Single Sign On","Provides instructions on how to configure Oracle Access Manager (OAM) and then enable Single Sign On for Primavera Gateway.","The Primavera Gateway network administrator/database administrator should read this guide.","Gateway Licensing Information User Manual","Lists licensing information of all third-party software that is used or associated with the Oracle software program.","Tested Configurations","Lists the configurations that have been tested and verified to work with Primavera Gateway.","The Primavera Gateway network administrator/database administrator and the administrator for the third-party or ERP system should read this guide.","Distributing Information to the Team","You can copy the online documentation to a network drive for access by project participants. Each team member can then view or print those portions that specifically relate to his or her role in the organization.","Throughout this documentation, the Security Guidance icon @ helps you to quickly identify security-related content to consider during the installation and configuration process.","Where to Get Documentation","66101.htm");
Page[31]=new Array("To access comprehensive training for all Primavera products, go to:","http://education.oracle.com","Oracle Learning Library","The Oracle Learning Library (OLL) provides online learning content covering Primavera products. Content includes videos, tutorials, articles, demos, step-by-step instructions to accomplish specific tasks, and self-paced interactive learning modules.<br /><br />To access the learning library&#8217;s Primavera content, go to:","http://www.oracle.com/goto/oll","Where to Get Training","49806.htm");
Page[32]=new Array("If you have a question about using Oracle products that you or your network administrator cannot resolve with information in the documentation or help, click http://support.oracle.com/. This page provides the latest information on contacting Oracle Global Customer Support, knowledge articles, and the support renewals process. For more information about working with Support, visit https://support.oracle.com/epmos/faces/DocumentDisplay?id=888813.2 to view Support Tools &amp; Tips.","Access to Oracle Support","Oracle customers have access to electronic support through My Oracle Support. For information, visit http://www.oracle.com/us/support/contact-068555.html or visit http://www.oracle.com/us/corporate/accessibility/support/index.html if you are hearing impaired.","Using Primavera's Support Resource Centers","Primavera&#8217;s Support Resource Center provides links to important support and product information.&nbsp;Primavera's Product Information Centers (PICs) organize documents found on My Oracle Support (MOS), providing quick access to product and version specific information such as important knowledge documents, Release Value Propositions, and Oracle University training. PICs also offer documentation on Lifetime Management, from planning to installs, upgrades, and maintenance.","Visit https://support.oracle.com/epmos/faces/DocumentDisplay?id=1486951.1 to access links to all of the current PICs.","PICs also provide access to:","Communities are moderated by Oracle providing a place for collaboration among industry peers to share best practices.","News from our development and strategy groups.","Education contains a list of available Primavera product trainings through Oracle University.&nbsp;The Oracle Advisor Webcast program brings interactive expertise straight to the desktop using Oracle Web Conferencing technology. This capability brings you and Oracle experts together to access information about support services, products, technologies, best practices, and more.","For more information about working with Support, visit https://support.oracle.com/epmos/faces/DocumentDisplay?id=888813.2.","Where to Get Support","6718.htm");
Page[33]=new Array("For information about Oracle's commitment to accessibility, visit the Oracle Accessibility Program website at http://www.oracle.com/pls/topic/lookup?ctx=acc&amp;id=docacc.","Documentation Accessibility","49261.htm");
Page[34]=new Array("EmbeddedTopicstartCopyright © 2013, 2015, Oracle and/or its affiliates. All rights reserved.<br />Oracle and Java are registered trademarks of Oracle and/or its affiliates. Other names may be trademarks of their respective owners.EmbeddedTopicend","This software and related documentation are provided under a license agreement containing restrictions on use and disclosure and are protected by intellectual property laws. Except as expressly permitted in your license agreement or allowed by law, you may not use, copy, reproduce, translate, broadcast, modify, license, transmit, distribute, exhibit, perform, publish or display any part, in any form, or by any means. Reverse engineering, disassembly, or decompilation of this software, unless required by law for interoperability, is prohibited.","The information contained herein is subject to change without notice and is not warranted to be error-free. If you find any errors, please report them to us in writing.","If this is software or related documentation that is delivered to the U.S. Government or anyone licensing it on behalf of the U.S. Government, the following notice is applicable: ","U.S. GOVERNMENT END USERS: Oracle programs, including any operating system, integrated software, any programs installed on the hardware, and/or documentation, delivered to U.S. Government end users are &#8220;commercial computer software&quot; pursuant to the applicable Federal Acquisition Regulation and agency-specific supplemental regulations. As such, use, duplication, disclosure, modification, and adaptation of the programs, including any operating system, integrated software, any programs installed on the hardware, and/or documentation, shall be subject to license terms and license restrictions applicable to the programs. No other rights are granted to the U.S. Government.","This software or hardware is developed for general use in a variety of information management applications. It is not developed or intended for use in any inherently dangerous applications, including applications that may create a risk of personal injury. If you use this software or hardware in dangerous applications, then you shall be responsible to take all appropriate failsafe, backup, redundancy, and other measures to ensure its safe use. Oracle Corporation and its affiliates disclaim any liability for any damages caused by use of this software or hardware in dangerous applications.","This software or hardware and documentation may provide access to or information on content, products and services from third-parties. Oracle Corporation and its affiliates are not responsible for and expressly disclaim all warranties of any kind with respect to third-party content, products, and services. Oracle Corporation and its affiliates will not be responsible for any loss, costs, or damages incurred due to your access to or use of third-party content, products, or services.","Legal Notices","46576.htm");
var PageCount=35;

function search(SearchWord){
var Result="";
var NrRes=0;
Result='<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">\n';
Result+="<html>\n";
Result+="<head>\n";
Result+="<title>Search Results</title>\n";
Result+="<meta http-equiv='Content-Type' content='text/html; charset=UTF-8'>\n";
Result+='<script language="javascript" type="text/javascript" charset="UTF-8" src="dhtml_search.js"></script>\n';
// Result+='<script type="text/javascript" src="styleswitcher.js"></script>\n';
Result+='<!--default -->\n';
Result+='<link rel="stylesheet" type="text/css" href="stylesheet.css"  title="default"/>\n';
Result+='<!--alternate -->\n';
Result+='<link rel="alternate stylesheet" disabled="true" type="text/css" href="stylesheetcontrast.css"  title="contrast"/>\n';
Result+='<!--default -->\n';
Result+='<link rel="stylesheet" href="docsstylesheet.css"  type="text/css" title="default"/> \n';
Result+='<!--alternate -->\n';
Result+='<link rel="alternate stylesheet" disabled="true" type="text/css" href="docsstylesheetcontrast.css" title="contrast"/>\n';
Result+="</head>\n";
Result+="<body class='searchcontents' onload='javascript:document.SearchForm.SearchText.focus();if(typeof ondoc() === 'function') {ondoc();}'>\n"; 
Result+='<table class="searchDetails" border="0" cellspacing="0" cellpadding="2" width="100%">\n';
Result+='<tr><td>Enter a keyword or phrase</td></tr>';
Result+='<tr><td>';
Result+='<form name="SearchForm" action="javascript:search(document.SearchForm.SearchText.value)">';
if(SearchWord.length>=1){
   while(SearchWord.indexOf("<")>-1 || SearchWord.indexOf(">")>-1 || SearchWord.indexOf('"')>-1){
       SearchWord=SearchWord.replace("<","&lt;").replace(">","&gt;").replace('"',"&quot;");
   }
}
Result+='<input type="text" name="SearchText" size="25" value="' + SearchWord + '" />';
Result+='&nbsp;<input type="submit" value="&nbsp;Go&nbsp;"/></form>';
Result+='</td></tr></table>\n';

if(SearchWord.length>=1){
   SearchWord=SearchWord.toLowerCase();
   this.status="Searching, please wait...";
   Result+="<table border='0' cellpadding='5' class='searchResults' width='100%'>";
   for(j=0;j<PageCount;j++){
       k=Page[j].length-1;
       for(i=0;i<k;i++){
           WordPos=Page[j][i].toLowerCase().indexOf(SearchWord);
           if(WordPos>-1){
               FoundWord=Page[j][i].substr(WordPos,SearchWord.length);
               NrRes++;
               Result+="<tr><td>";
               Result+="<a target='BODY' href='"+Page[j][k]+"'>"+Page[j][k-1].replace(FoundWord,FoundWord.bold())+"</a><br/>\n";

               if(i<k-1){
                   if(Page[j][i].length>350){
                       Result+="..."+Page[j][i].substr(WordPos-100,200+FoundWord.length).replace(FoundWord,FoundWord.bold())+"...\n";
                   }
                   else{
                       Result+=Page[j][i].replace(FoundWord,FoundWord.bold())+"\n";
                   }
               }
               Result+="</td></tr>";
               break;
           }
       }
   }
   Result+="</table>";
   Result+="<p class='searchDetails'>&nbsp;" + NrRes + " result(s) found.</p>";
}

Result+="</body></html>";
this.status="";
this.document.open();
this.document.write(Result);
this.document.close();
}