﻿/* Generated with Author-it 6.2.1.28268  3/25/2015 9:42:22 AM */
Page=new Array();Page[0]=new Array("The Primavera Gateway API provides a flexible interface to Primavera Gateway functionality. Based on the Representational State Transfer (REST) architectural style, the API enables developers to leverage standard interfaces to create integrated software solutions that inter-operate with a wide variety of enterprise software applications running on a diversity of hardware and operating system platforms.","Prerequisite","Install Primavera Gateway on an admin server or a managed server with OWSM authentication.","Introduction","10290539.htm");
Page[1]=new Array("Primavera Gateway API Employs Web-based Technology","The Primavera Gateway API platform employs Web-based technology to handle requests from external programs. External client programs use Primavera Gateway API by creating a request and sending it to the application server using one of the following operations.","Operation","Description","Get","Returns data based on the parameters you provide when you call the operation.","Delete","Deletes objects.","Post","Creates new objects.","Put","Updates existing objects.","Having received the request, Primavera Gateway invokes the required business and security logic to service the request and provide an appropriate response.","The following Primavera Gateway APIs provide REST style services on Gateway business objects:","Service","Description","appInstances","The appInstances service supports operations associated with Gateway application instances.","appInstanceConfigurations","The appInstanceConfigurations service supports operations on configurations of Gateway application instances.","eventServices ","The eventServices service supports operations on the Event and EventProviderInstanceConfigs business objects","Flows","The Flows service supports operations on the Flow business object.","flowDefinitionApps","The flowDefinitionApps returns a list of FLowDefinitionApp business objects from the database. ","flowFieldMapTemplates","The flowFieldMapTemplates service supports operations associated with the field Map templates corresponding to a flow.","flowInstances","The flowInstances service supports operations on the flowInstance business object.","flowLoadObjects","The flowLoadObjects service supports operations on the flowLoadObject business object.","flowStepInstances","The flowStepInstances service supports operations on the flowStepInstance business object.","flowStepInstanceMessages","The flowStepInstanceMessages service supports operations on the flowStepInstanceMessages business object. ","flowParameters","The flowParameters service supports operations on the flowParameter business object.","flowStepInstances","The flowStepInstances service supports operations on the flowStepInstance business object.","parameterValues ","The parameterValues service supports operations on the parameterValues business object. Each parameter value is identified by a unique ID. ","Services","The Services service schedules a job and queues it for processing.","Settings","The Settings service supports operations associated with parameterValue business object. Each parameter value is identified by a unique ID.","Synchronizations","The Synchronizations service supports operations associated with synchronizations in Primavera Gateway.","REST Style Architecture","10290540.htm");
Page[2]=new Array("Where to Begin","Step 1: Install and configure Primavera Gateway for the API","As a prerequisite to using the API, you will need to install Primavera Gateway, configure a user with the appropriate security access in the WebLogic application server and in the application. Oracle Web Services Manager (OWSM) must be set up and enabled before you can use the APIs to connect to Primavera Gateway.","Step 2: Decide on a client technology","Decide on the client technology that you will use with Primavera Gateway to invoke REST style services. Java and JavaScript are examples of technologies that can invoke REST style services to interact with the Primavera Gateway API. ","Step 3: Use the API to interact with Primavera Gateway","This step involves interacting with the API using the following URL patterns to send requests to the API.","Basic Authentication:","http://&lt;hostName&gt;:&lt;portNumber&gt;/pdi/restapi/v1/&lt;service&gt;","SSL Authentication:","https://&lt;hostName&gt;:&lt;portNumber&gt;/pdi/restapi/v1/&lt;service&gt;","Generally, calls to the API will follow a sequence similar to the following sequence:","Establish a session and get a session ID.","Use the session ID to invoke other operations as required by your program.","Delete the session ID when you are finished.","Using the Primavera Gateway API","10290541.htm");
Page[3]=new Array("The following code is a generic example that demonstrates how to establish a session and use the returned session ID to retrieve business flows.This example uses basic authentication.","private static String userName = &quot;GatewayAdmin&quot;;<br />private static String password = &quot;Primavera1&quot;;<br />private static String hostName = &quot;localhost&quot;;<br />private static String portNumber = &quot;7001&quot;;<br />private static String getSessionUrl = &quot;http://&quot;+hostName+&quot;:&quot;+portNumber+&quot;/pdi/restapisession/usersession&quot;;<br />private static String getAppsUrl = &quot;http://&quot;+hostName+&quot;:&quot;+portNumber+&quot;/pdi/restapi/v1/flows/list&quot;;<br />private static String jsessionId;","     public static void main(String s[]) throws Exception{<br />         try {<br />             //Call session api<br />             String sessionJson = callRestURL(getSessionUrl,&quot;GET&quot;);","             //Convert the JSON to java object<br />             ObjectMapper mapper = new ObjectMapper();<br />             Session session = mapper.readValue(sessionJson, Session.class);<br />             //Store session id<br />             jsessionId = session.getSessionId();","             // Get a list of Flow objects<br />             String appsJson=callRestURL(getFlowsUrl,&quot;GET&quot;);","             //End the session object once all the operations are done<br />             String deleteJson =<br />callRestURL(getSessionUrl+&quot;;JSESSIONID=&quot;+session.getSessionId(),&quot;DELETE&quot;);","         } catch (Exception e) {<br />             e.printStackTrace();<br />             throw e;<br />         }<br />     }","     private static String callRestURL(String restUrl,String method) throws Exception {<br />         HttpURLConnection conn = null;<br />         try {<br />             URL url = new URL(restUrl);<br />             conn = (HttpURLConnection) url.openConnection();<br />             conn.setRequestMethod(method);<br />             conn.setRequestProperty(&quot;Accept&quot;, &quot;application/json&quot;);<br />             if(jsessionId != null){<br />                 conn.setRequestProperty(&quot;Cookie&quot;, &quot;JSESSIONID=&quot;<br />                         + jsessionId);<br />             }","             String userCredentials = userName+&quot;:&quot;+password;<br />             String base64Credentials javax.xml.bind.DatatypeConverter.printBase64Binary(userCredentials.getBytes());<br />             String basicAuth = &quot;Basic &quot; + base64Credentials;<br />             conn.setRequestProperty(&quot;Authorization&quot;, basicAuth);","             if (conn.getResponseCode() != 200) {<br />                 throw new RuntimeException(&quot;Failed : HTTP error code : &quot;<br />                         + conn.getResponseCode());}","             BufferedReader br = new BufferedReader(new InputStreamReader((conn.getInputStream())));","             String output;<br />             StringBuilder buff = new StringBuilder();<br />             while ((output = br.readLine()) != null) {<br />                 buff.append(output);<br />             }<br />             return buff.toString();","         } finally {<br />             if(conn != null)<br />                 conn.disconnect();<br />         }<br />     }","Sample Java Code that Invokes the API","10290542.htm");
Page[4]=new Array("The Primavera Gateway API provides reference documentation that is available from an Primavera Gateway deployment.","To access the documentation:","Go to the Primavera Gateway documentation library on Oracle Technology Network (OTN).","Select the Oracle Primavera Gateway API Documentation link.","Select the links for each service to review details about the operations that the service provides and the parameters that can appear in the requests or responses.","Note: Gateway APIs can be used only if you have installed Primavera Gateway on an Admin server or Managed servers with OWSM authentication.","Accessing API Documentation","10290543.htm");
Page[5]=new Array("Primavera Gateway provides security at both the transport and the application levels. Refer to the Tested Configurations document for details on specific configurations.","Transport Level Security using HTTPS","The Primavera Gateway API supports both the HTTPS and HTTP protocols. You can use HTTPS (Hypertext Transfer Protocol over Secure Socket Layer) to achieve secure communication at the transport layer of the OSI Model as long as SSL is enabled for the Gateway domain. The API supports the HTTP protocol for basic authentication and communication.","Application Level ","At the application level, the API supports Global, and Project, access to the application. ","Security","10290544.htm");
Page[6]=new Array("If you are experiencing difficulty in connecting to and using the API, check the following items:","The URL that you are using is correct.","OWSM setup is correct.","The application is running.","The user name that you are using to invoke the API has access to the application and the data that you are attempting to retrieve.","Troubleshooting the Primavera Gateway API","10290545.htm");
Page[7]=new Array("Complete documentation libraries for Primavera Gateway releases are available on the Oracle Technology Network (OTN) at:","http://www.oracle.com/technetwork/documentation/default-1923957.html","From this location you can either view libraries online or download them to have local copies. We recommend viewing them from OTN to ensure you always access the latest versions, including critical corrections and enhancements. ","Primavera Gateway is configured to access its help system on OTN. However, you can also install  a local version when you install the software. ","The documentation assumes a standard setup of the product, with full access rights to all features and functions.","The following table describes the core documents available for Primavera Gateway and lists the recommended readers by role.","Title","Description","Gateway Help","Describes how to work with Primavera Gateway and provides information to help users accomplish tasks.","All users should read the Help.","Gateway Developer's Guide","Provides information on how third-party systems such as enterprise resource management (ERP) and enterprise asset management (EAM) systems can create their own providers in order to integrate with Primavera products.","Developers of third-party providers that integrate with Primavera products via Primavera Gateway should read this book.","Gateway Customization Guide","Provides information on how to customize an existing third-party integration.","Developers interested in customizing existing third-party providers that integrate with Primavera products via Primavera Gateway should read this book.","Gateway Provider Reference Guide","Provides a list of the business objects available for each supported provider.","Developers of third-party providers that integrate with Primavera products via Primavera Gateway should read this book.","EBS Provider Reference Guide","Provides a list of the business objects available for the EBS provider.","Developers of third-party providers that integrate with Primavera products via Primavera Gateway should read this book.","VCP Provider Reference Guide","Provides a list of the business objects available for the VCP provider.","Developers of third-party providers that integrate with Primavera products via Primavera Gateway should read this book.","Manual Deployment Guide","Provides information on how to manually install and configure Primavera Gateway. ","The Primavera Gateway network administrator/database administrator and the administrator for the third-party or ERP system should read this guide.","Gateway Installation and Configuration Guide","Provides information on how to install and configure Primavera Gateway. Primavera Gateway is a product that facilitates integrations with Primavera products and third-party systems such as enterprise resource management (ERP) and enterprise asset management (EAM) systems.","The Primavera Gateway network administrator/database administrator and the administrator for the third-party or ERP system should read this guide.","Gateway Upgrade Guide","Provides a sequence of procedures that must be completed to upgrade to a new version of Primavera Gateway.","The Primavera Gateway network administrator/database administrator and the administrator for the third-party or ERP system should read this guide.","Gateway Performance and Sizing Guide","Provides hardware and software requirements for deploying Primavera Gateway.","The Primavera Gateway network administrator/database administrator and the administrator for the third-party or ERP system should read this guide.","Gateway Security Guide","Provides guidelines on establishing a highly secure environment for all Primavera Gateway environments.","The Primavera Gateway network administrator/database administrator and the administrator for the third-party or ERP system should read this guide.","Gateway API Programmer's Guide","Provides instructions on how to access and use Primavera Gateway REST APIs.","The Primavera Gateway network administrator/database administrator and Primavera Gateway users having the Gateway Developer role should read this guide.","Connecting with Instantis EnterpriseTrack","Provides instructions on how to setup the integration environment for Oracle Instantis EnterpriseTrack in Primavera Gateway.","The Primavera Gateway network administrator/database administrator and the administrator for the third-party system should read this guide.","Connecting Prime and P6 EPPM","Provides instructions on how to setup the integration environment between Oracle Primavera Prime and P6 Enterprise Project Portfolio Management in Primavera Gateway.","The Primavera Gateway network administrator/database administrator and the administrator for the third-party system should read this guide.","Connecting Unifier and P6 EPPM","Provides instructions on how to setup the integration environment between Oracle Primavera Unifier and P6 Enterprise Project Portfolio Management in Primavera Gateway.","The Primavera Gateway network administrator/database administrator and the administrator for the third-party system should read this guide.","Migrating P6 Data Between Distinct Environments","Provides instructions on how to setup the integration environment between distinct P6 deployments to transfer P6 data in Primavera Gateway.","The Primavera Gateway network administrator/database administrator and the administrator should read this guide.","Connecting E-Business Suite","Provides instructions on how to setup the integration environments for Oracle E-Business Suite with P6 Enterprise Project Portfolio Management and Instantis EnterpriseTrack in Primavera Gateway.","The Primavera Gateway network administrator/database administrator and the administrator for the third-party system should read this guide.","Connecting Value Chain Planning and P6 EPPM","Provides instructions on how to setup the integration environment between Oracle Value Chain Planning and P6 Enterprise Project Portfolio Management in Primavera Gateway.","The Primavera Gateway network administrator/database administrator and the administrator for the third-party system should read this guide.","Configuring Gateway for Single Sign On","Provides instructions on how to configure Oracle Access Manager (OAM) and then enable Single Sign On for Primavera Gateway.","The Primavera Gateway network administrator/database administrator should read this guide.","Gateway Licensing Information User Manual","Lists licensing information of all third-party software that is used or associated with the Oracle software program.","Tested Configurations","Lists the configurations that have been tested and verified to work with Primavera Gateway.","The Primavera Gateway network administrator/database administrator and the administrator for the third-party or ERP system should read this guide.","Distributing Information to the Team","You can copy the online documentation to a network drive for access by project participants. Each team member can then view or print those portions that specifically relate to his or her role in the organization.","Throughout this documentation, the Security Guidance icon @ helps you to quickly identify security-related content to consider during the installation and configuration process.","Where to Get Documentation","66101.htm");
Page[8]=new Array("To access comprehensive training for all Primavera products, go to:","http://education.oracle.com","Oracle Learning Library","The Oracle Learning Library (OLL) provides online learning content covering Primavera products. Content includes videos, tutorials, articles, demos, step-by-step instructions to accomplish specific tasks, and self-paced interactive learning modules.<br /><br />To access the learning library&#8217;s Primavera content, go to:","http://www.oracle.com/goto/oll","Where to Get Training","49806.htm");
Page[9]=new Array("If you have a question about using Oracle products that you or your network administrator cannot resolve with information in the documentation or help, click http://support.oracle.com/. This page provides the latest information on contacting Oracle Global Customer Support, knowledge articles, and the support renewals process. For more information about working with Support, visit https://support.oracle.com/epmos/faces/DocumentDisplay?id=888813.2 to view Support Tools &amp; Tips.","Access to Oracle Support","Oracle customers have access to electronic support through My Oracle Support. For information, visit http://www.oracle.com/us/support/contact-068555.html or visit http://www.oracle.com/us/corporate/accessibility/support/index.html if you are hearing impaired.","Using Primavera's Support Resource Centers","Primavera&#8217;s Support Resource Center provides links to important support and product information.&nbsp;Primavera's Product Information Centers (PICs) organize documents found on My Oracle Support (MOS), providing quick access to product and version specific information such as important knowledge documents, Release Value Propositions, and Oracle University training. PICs also offer documentation on Lifetime Management, from planning to installs, upgrades, and maintenance.","Visit https://support.oracle.com/epmos/faces/DocumentDisplay?id=1486951.1 to access links to all of the current PICs.","PICs also provide access to:","Communities are moderated by Oracle providing a place for collaboration among industry peers to share best practices.","News from our development and strategy groups.","Education contains a list of available Primavera product trainings through Oracle University.&nbsp;The Oracle Advisor Webcast program brings interactive expertise straight to the desktop using Oracle Web Conferencing technology. This capability brings you and Oracle experts together to access information about support services, products, technologies, best practices, and more.","For more information about working with Support, visit https://support.oracle.com/epmos/faces/DocumentDisplay?id=888813.2.","Where to Get Support","6718.htm");
Page[10]=new Array("For information about Oracle's commitment to accessibility, visit the Oracle Accessibility Program website at http://www.oracle.com/pls/topic/lookup?ctx=acc&amp;id=docacc.","Documentation Accessibility","49261.htm");
Page[11]=new Array("EmbeddedTopicstartCopyright © 2013, 2015, Oracle and/or its affiliates. All rights reserved.<br />Oracle and Java are registered trademarks of Oracle and/or its affiliates. Other names may be trademarks of their respective owners.EmbeddedTopicend","This software and related documentation are provided under a license agreement containing restrictions on use and disclosure and are protected by intellectual property laws. Except as expressly permitted in your license agreement or allowed by law, you may not use, copy, reproduce, translate, broadcast, modify, license, transmit, distribute, exhibit, perform, publish or display any part, in any form, or by any means. Reverse engineering, disassembly, or decompilation of this software, unless required by law for interoperability, is prohibited.","The information contained herein is subject to change without notice and is not warranted to be error-free. If you find any errors, please report them to us in writing.","If this is software or related documentation that is delivered to the U.S. Government or anyone licensing it on behalf of the U.S. Government, the following notice is applicable: ","U.S. GOVERNMENT END USERS: Oracle programs, including any operating system, integrated software, any programs installed on the hardware, and/or documentation, delivered to U.S. Government end users are &#8220;commercial computer software&quot; pursuant to the applicable Federal Acquisition Regulation and agency-specific supplemental regulations. As such, use, duplication, disclosure, modification, and adaptation of the programs, including any operating system, integrated software, any programs installed on the hardware, and/or documentation, shall be subject to license terms and license restrictions applicable to the programs. No other rights are granted to the U.S. Government.","This software or hardware is developed for general use in a variety of information management applications. It is not developed or intended for use in any inherently dangerous applications, including applications that may create a risk of personal injury. If you use this software or hardware in dangerous applications, then you shall be responsible to take all appropriate failsafe, backup, redundancy, and other measures to ensure its safe use. Oracle Corporation and its affiliates disclaim any liability for any damages caused by use of this software or hardware in dangerous applications.","This software or hardware and documentation may provide access to or information on content, products and services from third-parties. Oracle Corporation and its affiliates are not responsible for and expressly disclaim all warranties of any kind with respect to third-party content, products, and services. Oracle Corporation and its affiliates will not be responsible for any loss, costs, or damages incurred due to your access to or use of third-party content, products, or services.","Legal Notices","46576.htm");
var PageCount=12;

function search(SearchWord){
var Result="";
var NrRes=0;
Result='<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">\n';
Result+="<html>\n";
Result+="<head>\n";
Result+="<title>Search Results</title>\n";
Result+="<meta http-equiv='Content-Type' content='text/html; charset=UTF-8'>\n";
Result+='<script language="javascript" type="text/javascript" charset="UTF-8" src="dhtml_search.js"></script>\n';
// Result+='<script type="text/javascript" src="styleswitcher.js"></script>\n';
Result+='<!--default -->\n';
Result+='<link rel="stylesheet" type="text/css" href="stylesheet.css"  title="default"/>\n';
Result+='<!--alternate -->\n';
Result+='<link rel="alternate stylesheet" disabled="true" type="text/css" href="stylesheetcontrast.css"  title="contrast"/>\n';
Result+='<!--default -->\n';
Result+='<link rel="stylesheet" href="docsstylesheet.css"  type="text/css" title="default"/> \n';
Result+='<!--alternate -->\n';
Result+='<link rel="alternate stylesheet" disabled="true" type="text/css" href="docsstylesheetcontrast.css" title="contrast"/>\n';
Result+="</head>\n";
Result+="<body class='searchcontents' onload='javascript:document.SearchForm.SearchText.focus();if(typeof ondoc() === 'function') {ondoc();}'>\n"; 
Result+='<table class="searchDetails" border="0" cellspacing="0" cellpadding="2" width="100%">\n';
Result+='<tr><td>Enter a keyword or phrase</td></tr>';
Result+='<tr><td>';
Result+='<form name="SearchForm" action="javascript:search(document.SearchForm.SearchText.value)">';
if(SearchWord.length>=1){
   while(SearchWord.indexOf("<")>-1 || SearchWord.indexOf(">")>-1 || SearchWord.indexOf('"')>-1){
       SearchWord=SearchWord.replace("<","&lt;").replace(">","&gt;").replace('"',"&quot;");
   }
}
Result+='<input type="text" name="SearchText" size="25" value="' + SearchWord + '" />';
Result+='&nbsp;<input type="submit" value="&nbsp;Go&nbsp;"/></form>';
Result+='</td></tr></table>\n';

if(SearchWord.length>=1){
   SearchWord=SearchWord.toLowerCase();
   this.status="Searching, please wait...";
   Result+="<table border='0' cellpadding='5' class='searchResults' width='100%'>";
   for(j=0;j<PageCount;j++){
       k=Page[j].length-1;
       for(i=0;i<k;i++){
           WordPos=Page[j][i].toLowerCase().indexOf(SearchWord);
           if(WordPos>-1){
               FoundWord=Page[j][i].substr(WordPos,SearchWord.length);
               NrRes++;
               Result+="<tr><td>";
               Result+="<a target='BODY' href='"+Page[j][k]+"'>"+Page[j][k-1].replace(FoundWord,FoundWord.bold())+"</a><br/>\n";

               if(i<k-1){
                   if(Page[j][i].length>350){
                       Result+="..."+Page[j][i].substr(WordPos-100,200+FoundWord.length).replace(FoundWord,FoundWord.bold())+"...\n";
                   }
                   else{
                       Result+=Page[j][i].replace(FoundWord,FoundWord.bold())+"\n";
                   }
               }
               Result+="</td></tr>";
               break;
           }
       }
   }
   Result+="</table>";
   Result+="<p class='searchDetails'>&nbsp;" + NrRes + " result(s) found.</p>";
}

Result+="</body></html>";
this.status="";
this.document.open();
this.document.write(Result);
this.document.close();
}